home/urls.py
from django.urls import path
from . import views

app_name = 'home'
urlpatterns = [
    path('', views.landing, name='landing'),
    path('login/', views.logins, name='login'),
    path('logout/', views.logouts, name='logout'),
    path('register/', views.registers, name='register')
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
]

home/models.py
from django.db import models

# Create your models here.

home/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import AuthenticationForm, UserCreationForm
from django.contrib.auth import login, logout, authenticate

# Create your views here.
def landing(req):
    error = "Username or Password is wrong"
    user = req.user
    if user.is_authenticated:
        return redirect('home:login')
    if req.method == 'POST':
        form = AuthenticationForm(data=req.POST)
        if form.is_valid():
            user = form.get_user()
            login(req, user)
            return redirect('home:login')
    else:
        form = AuthenticationForm()
    return render(req, 'landing.html', {'form':form, 'error':error})

def logins(req):
    return render(req, 'register.html')

def logouts(req):
    logout(req)
    return redirect('home:landing')

def registers(req):
    if req.method == 'POST':
        form = UserCreationForm(req.POST)
        if form.is_valid():
            form.save()
            username = form.cleaned_data.get('username')
            raw_password = form.cleaned_data.get('password1')
            user = authenticate(username=username, password=raw_password)
            login(req, user)
            return redirect('home:landing')
    else:
        form = UserCreationForm()
    return render(req, 'request.html', {'form': form})



home/templates/landing.html
<!DOCTYPE html>
{% load staticfiles %}
{% load static %}
<html>
<head>
	<title>Story 9 Tesa</title>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'admin/css/bootstrap.css' %}">
</head>
<body>
    <center><h1>Hello!</h1></center>
    <a href="{% url 'home:register' %}">
        <center><div class='register'>
            Register
        </div></center>
    </a>
    <center><h2>Login here!</h2></center>
    {% if form.errors %}
    <center style="color:red;">{{error}}</center>
    {% endif %}
    <center><form method="POST" action='{% url "home:landing" %}'>
        {% csrf_token %}
        <label>Username</label>
        <br>
        {{ form.username }}
        <br>
        <label>Password</label>
        <br>
        {{ form.password }}
        <br>
        <input type="submit" value="Log in" class="button">
    </form></center>
</body>
</html>

home/templates/register.html
<!DOCTYPE html>
{% load staticfiles %}
{% load static %}
<html>
<head>
	<title>Story 9 Tesa</title>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="{% static 'admin/css/bootstrap.css' %}">
</head>
<body>
        {% if user.is_authenticated %}
        <center><h1>How are you today, {{user}}?</h1></center> 
        <a href="{% url 'home:logout' %}">
            <center><div class='logout'>
                Log out
            </div></center>
        </a>
        {% else %}
        <center><h1>Please Login First!</h1></center>
        <a href="{% url 'home:landing' %}">
            <center><div class='login'>
                Log in
            </div></center>
        </a>
        {% endif %}
    
</body>
</html>

home/templates/request.html
<!DOCTYPE html>
{% load staticfiles %}
{% load static %}
<html>
<head>
	<title>Story 9 Tesa</title>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<link rel="stylesheet" href="{% static 'admin/css/bootstrap.css' %}">
</head>
<body>
    <center><h2>Sign up</h2></center>
    <form method="post" style="padding-left: 350px">
      {% csrf_token %}
      {% for field in form %}
        <p>
          {{ field.label_tag }}<br>
          {{ field }}
          {% if field.help_text %}
            <small style="color: grey">{{ field.help_text }}</small>
          {% endif %}
          {% for error in field.errors %}
            <p style="color: red">{{ error }}</p>
          {% endfor %}
        </p>
      {% endfor %}
      <button type="submit">Sign up</button>
    </form>
</body>
</html>